xml/apr_xml.c:35:10: fatal error: 'expat.h' file not found
topへ
おすすめ記事
Freebsd10.0LAMP
メールフォーム
添付メールフォーム
ビットコイン取引ボット

2017-09-20 22:21:39

xml/apr_xml.c:35:10: fatal error: 'expat.h' file not found
なんこれ、apacheが入らんやん
どうも2.4.27からprefork禁止みたいな
まあ、もうwebサーバー自体どうでもいい感じーなので
なんのmpmでもいいか

./configure \
--prefix=/usr/local/apache2 \
--enable-modules=all \
--enable-mods-shared=all \
--enable-mpms-shared=all \
--enable-rewrite \
--with-ssl=/usr/bin \
--enable-ssl \
--with-included-apr \
--with-pcre \
--enable-dav \
--enable-so \
--disable-ipv6\
--with-mpm=prefork

で入れたら。
インストールできたぽよ


ああでもね、このバージョン使わないほうがいいかもね、phpいれると


--with-apxs2=/usr/local/apache2/bin/apxs \

あたりが原因でエラーでるわけよ
Sorry, I cannot run apxs.  Possible reasons follow:
 
1. Perl is not installed
2. apxs was not found. Try to pass the path using --with-apxs2=/path/to/apxs
3. Apache was not built using --enable-so (the apxs usage page is displayed)
感じのね
まあ、想像だけどprefork使えないくしてphp側でうまくconfigureが通らない
のを他のソフトのことまで気が付いてないんじゃなくて?

一個apache古いのにしたら最新phpは入ったからね。
そんな感じ~

適当でも動けばいいさみたいな。


ってインストールできたが

/usr/local/apache2/modules/libphp5.so
がないでねーか
ググるとバグらしい、
めんどくさい、昔のphpでいいわ。

というかー、開発してる頭のいいーーー方々も劣化した?
昔からだけど、スマホなんて便利なものになって、
僕もかなり劣化したし、
無料のものなんて適当よねー
古いのいれたら動いた。
教訓
新しいものは運次第なので古いのもとっとく。